local L = SpeedyActionsLocals

SLASH_SPEEDYACTIONS1 = "/speedyactions"
SLASH_SPEEDYACTIONS2 = "/speedyaction"
SLASH_SPEEDYACTIONS3 = "/sa"
SlashCmdList["SPEEDYACTIONS"] = function(msg)
	local self = SpeedyActions
	local cmd, arg = string.split(" ", msg or "", 2)
	cmd = string.lower(cmd or "")
	
	if( cmd == "toggle" ) then
		local moduleName
		for name in pairs(SpeedyActions.supportModules) do
			if( string.lower(name) == string.lower(arg) ) then
				moduleName = name
				break
			end
		end
		
		if( not moduleName ) then
			self:Print(string.format(L["Cannot find any modules with the name \"%s\"."], arg))
			return
		end
		
		self.db.profile.disableModules[moduleName] = not self.db.profile.disableModules[moduleName]
		
		if( self.db.profile.disableModules[moduleName] ) then
			self:Print(string.format(L["Disabled module %s, reload for this change to take effect."], moduleName))
		else
			self:Print(string.format(L["Enabled module %s, reload for this change to take effect."], moduleName))
		end
	else
		self:Print(L["Slash commands"])
		self:Echo(L["/speedyaction toggle clique - Toggles Clique support, lets you disable speeding up click casting."])
		self:Echo(L["/speedyaction toggle bindpand - Toggles BindPad support, lets you disable sped up BindPad actions"])
		self:Echo(L["/speedyaction toggle dominos - Toggles Dominos support, lets you disable speeding up custom Dominos action buttons"])
	end
end

--[[
local Config = {}
local AceDialog, AceRegistry, options

local function loadOptions()
	options = {
		type = "group",	
		childGroups = "tab",
		name = "Speedy Actions",
		args = {},
	}
end

SLASH_SPEEDYACTIONS1 = "/speedyactions"
SLASH_SPEEDYACTIONS2 = "/speedyaction"
SLASH_SPEEDYACTIONS3 = "/sa"
SlashCmdList["SPEEDYACTIONS"] = function(msg)
	if( not AceDialog and not AceRegistry ) then
		loadOptions()
		
		AceDialog = LibStub("AceConfigDialog-3.0")
		AceRegistry = LibStub("AceConfigRegistry-3.0")
		LibStub("AceConfig-3.0"):RegisterOptionsTable("SpeedyActions", options)
		AceDialog:SetDefaultSize("SpeedyActions", 625, 550)
	end
		
	AceDialog:Open("SpeedyActions")
end
]]
--[[
local frame = CreateFrame("Frame")
frame:RegisterEvent("PLAYER_ENTERING_WORLD")
frame:SetScript("OnEvent", function(self)
	self:UnregisterAllEvents()
--	SlashCmdList["SEXYAURAS"]("")
end)
]]